@import '../../../../../../../../../vendor/scandipwa/source/src/app/style/base/_button.scss';

.Button {
    &_green {
        border: none;
        color: var(--primary-base-color);
        background: var(--secondary-base-color);
        font-size: 14px;
        font-weight: 500;

        &:not([disabled]) {
            &:hover,
            &:focus {
                @include after-mobile {
                    border: none;
                    color: var(--primary-base-color);
                    background: var(--secondary-base-color);
                }
            }
        }
    }

    &_lightGray {
        border: none;
        color: var(--primary-base-color);
        background: var(--secondary-hover-color);
        font-size: 14px;
        font-weight: 500;

        &:not([disabled]) {
            &:hover,
            &:focus {
                @include after-mobile {
                    border: none;
                    color: var(--primary-base-color);
                    background: var(--secondary-hover-color);
                }
            }
        }
    }

    &_underline {
        padding: 0;
        border: none;
        border-bottom: 1px solid var(--primary-base-color);
        color: var(--primary-base-color);
        background: transparent;
        font-family: 'Work Sans', sans-serif;
        font-size: 14px;
        font-weight: 500;
        text-transform: none;
        line-height: 16px;
    }

    &_fullWidth {
        width: 100%;
    }
}
